Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for SAP BAPI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sapbapiadapter.alerts
Class SAPBAPIAlertCodes

    java.lang.Object
      com.stc.connector.sapbapiadapter.alerts.SAPBAPIAlertCodes

All Implemented Interfaces:
  com.stc.connector.management.jca.system.mbeans.AlertCodeMap

    public class SAPBAPIAlertCodes

extends java.lang.Object
implements com.stc.connector.management.jca.system.mbeans.AlertCodeMap

Field Summary
`static java.lang.String` | `SAPBAPI_CONNECT_CLIENT_DOWN`
`static java.lang.String` | `SAPBAPI_CONNECT_CLIENT_FAILED`
`static java.lang.String` | `SAPBAPI_CONNECT_CLIENT_RETRY`
`static java.lang.String` | `SAPBAPI_CONNECT_CLIENT_SUCCEEDED`
`static java.lang.String` | `SAPBAPI_CONNECT_CLIENT_UP`
`static java.lang.String` | `SAPBAPI_CONNECT_SERVER_STARTED`
`static java.lang.String` | `SAPBAPI_CONNECT_SERVER_STARTED_ERROR`
`static java.lang.String` | `SAPBAPI_CONNECT_SERVER_STOPPED`
`static java.lang.String` | `SAPBAPI_CONNECT_SERVER_STOPPED_ERROR`
`static java.lang.String` | `SAPBAPI_EWAY_RUNNING`
`static java.lang.String` | `SAPBAPI_EWAY_STARTED`
`static java.lang.String` | `SAPBAPI_EWAY_STOPPED`
`static java.lang.String` | `SAPBAPI_EWAY_STOPPING`
`static java.lang.String` | `SAPBAPI_EWAY_SUSPENDED`
`static java.lang.String` | `SAPBAPI_EWAY_SUSPENDING`
`static java.lang.String` | `SAPBAPI_GATEWAY_FAILED`
`static java.lang.String` | `SAPBAPI_RFC_NOTPROCESSED`
`static java.lang.String` | `SAPBAPI_TIDFILE_NOTAVAIL`

Constructor Summary
`SAPBAPIAlertCodes()` SAPBAPIAlertCodes constructor

Method Summary
`java.lang.String` | `getMapping(java.lang.String key)`
`static void` | `sendAlert(java.lang.String alertCode, java.lang.String[] alertMsgArgs, java.lang.String detailMsg, int notificationSeverity, com.stc.connector.management.util.ObjectReference mbean)` SAPBAPIAlertCodes constructor

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SAPBAPI_EWAY_STARTED

    public static final java.lang.String SAPBAPI_EWAY_STARTED

See Also:
  Constant Field Values

### SAPBAPI_EWAY_RUNNING

    public static final java.lang.String SAPBAPI_EWAY_RUNNING

See Also:
  Constant Field Values

### SAPBAPI_EWAY_STOPPING

    public static final java.lang.String SAPBAPI_EWAY_STOPPING

See Also:
  Constant Field Values

### SAPBAPI_EWAY_STOPPED

    public static final java.lang.String SAPBAPI_EWAY_STOPPED

See Also:
  Constant Field Values

### SAPBAPI_EWAY_SUSPENDING

    public static final java.lang.String SAPBAPI_EWAY_SUSPENDING

See Also:
  Constant Field Values

### SAPBAPI_EWAY_SUSPENDED

    public static final java.lang.String SAPBAPI_EWAY_SUSPENDED

See Also:
  Constant Field Values

### SAPBAPI_GATEWAY_FAILED

    public static final java.lang.String SAPBAPI_GATEWAY_FAILED

See Also:
  Constant Field Values

### SAPBAPI_CONNECT_CLIENT_FAILED

    public static final java.lang.String SAPBAPI_CONNECT_CLIENT_FAILED

See Also:
  Constant Field Values

### SAPBAPI_CONNECT_CLIENT_SUCCEEDED

    public static final java.lang.String SAPBAPI_CONNECT_CLIENT_SUCCEEDED

See Also:
  Constant Field Values

### SAPBAPI_CONNECT_CLIENT_UP

    public static final java.lang.String SAPBAPI_CONNECT_CLIENT_UP

See Also:
  Constant Field Values

### SAPBAPI_CONNECT_CLIENT_DOWN

    public static final java.lang.String SAPBAPI_CONNECT_CLIENT_DOWN

See Also:
  Constant Field Values

### SAPBAPI_CONNECT_CLIENT_RETRY

    public static final java.lang.String SAPBAPI_CONNECT_CLIENT_RETRY

See Also:
  Constant Field Values

### SAPBAPI_TIDFILE_NOTAVAIL

    public static final java.lang.String SAPBAPI_TIDFILE_NOTAVAIL

See Also:
  Constant Field Values

### SAPBAPI_CONNECT_SERVER_STARTED

    public static final java.lang.String SAPBAPI_CONNECT_SERVER_STARTED

See Also:
  Constant Field Values

### SAPBAPI_CONNECT_SERVER_STARTED_ERROR

    public static final java.lang.String SAPBAPI_CONNECT_SERVER_STARTED_ERROR

See Also:
  Constant Field Values

### SAPBAPI_CONNECT_SERVER_STOPPED

    public static final java.lang.String SAPBAPI_CONNECT_SERVER_STOPPED

See Also:
  Constant Field Values

### SAPBAPI_CONNECT_SERVER_STOPPED_ERROR

    public static final java.lang.String SAPBAPI_CONNECT_SERVER_STOPPED_ERROR

See Also:
  Constant Field Values

### SAPBAPI_RFC_NOTPROCESSED

    public static final java.lang.String SAPBAPI_RFC_NOTPROCESSED

See Also:
  Constant Field Values

Constructor Detail

### SAPBAPIAlertCodes

    public SAPBAPIAlertCodes()

  SAPBAPIAlertCodes constructor

Method Detail

### sendAlert

    public static void sendAlert(java.lang.String alertCode,
                                 java.lang.String[] alertMsgArgs,
                                 java.lang.String detailMsg,
                                 int notificationSeverity,
                                 com.stc.connector.management.util.ObjectReference mbean)

  SAPBAPIAlertCodes constructor

### getMapping

    public java.lang.String getMapping(java.lang.String key)

  Specified by:
    `getMapping` in interface `com.stc.connector.management.jca.system.mbeans.AlertCodeMap`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for SAP BAPI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD